PseudoProjectivity (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.transform.pseudo
Class PseudoProjectivity

    java.lang.Object
      org.maltparser.transform.pseudo.PseudoProjectivity

    public class PseudoProjectivity

extends Object

This class contains methods for projectivizing and deprojectivizing

Since:
  1.0
Author:
  Jens Nilsson

Constructor Summary
`PseudoProjectivity()`

Method Summary
`void` | `deprojectivize(DependencyStructure pdg)`
`void` | `initialize(String markingStrategyString, String coveredRoot, String liftingOrder, org.apache.log4j.Logger configLogger, SymbolTableHandler symbolTables)`
`void` | `mergeArclabels(DependencyStructure pdg)`
`void` | `projectivize(DependencyStructure pdg)`
`void` | `splitArclabels(DependencyStructure pdg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PseudoProjectivity

    public PseudoProjectivity()

Method Detail

### initialize

    public void initialize(String markingStrategyString,
                           String coveredRoot,
                           String liftingOrder,
                           org.apache.log4j.Logger configLogger,
                           SymbolTableHandler symbolTables)
                    throws MaltChainedException

  Throws:
    `MaltChainedException`

### projectivize

    public void projectivize(DependencyStructure pdg)
                      throws MaltChainedException

  Throws:
    `MaltChainedException`

### mergeArclabels

    public void mergeArclabels(DependencyStructure pdg)
                        throws MaltChainedException

  Throws:
    `MaltChainedException`

### splitArclabels

    public void splitArclabels(DependencyStructure pdg)
                        throws MaltChainedException

  Throws:
    `MaltChainedException`

### deprojectivize

    public void deprojectivize(DependencyStructure pdg)
                        throws MaltChainedException

  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.